/*
 * grid.h
 *
 *  Created on: 18 May 2016
 *      Author: strazce
 */

#ifndef INCLUDE_DATA_GRID_H_
#define INCLUDE_DATA_GRID_H_

#include "common.h"

namespace opice {
namespace data {

class Grid {
public:
    Grid(const VI& size);

    VectorField E, B, J;
    //FS rho;   //FIXME: won't compile with gsl span

    const VI& size(); //TODO: return by const ref

private:
    VI _size;
};

} /* namespace data */
} /* namespace opice */

#endif /* INCLUDE_DATA_GRID_H_ */
