/*
 * Vector.h
 *
 *  Created on: Feb 11, 2016
 *      Author: strazce
 */

#ifndef INCLUDE_DATA_VECTOR_H_
#define INCLUDE_DATA_VECTOR_H_

#include "utils/cpu_architecture.h"

#include "vector_base.h"
#include "vector_details.h"
#include "vector_expressions.h"

#include <array>
#include <algorithm>

namespace opice {
namespace data {
namespace vector {

constexpr auto ALIGN = utils::ALIGNMENT_BYTES;

template<typename T, typename Inner, size_t DIM>
using Expr = expressions::Expressions<T, Inner, DIM>;

template<
    typename T,
    std::size_t DIM,
    bool SOA_READY,
    typename IS_REFERENCE = void,
    typename DIM_OVER_3 = void
    >
struct Vector {
};

}}}

#include "vector_impl_4d.h"
#include "vector_impl_3d.h"
#include "vector_impl_2d.h"
#include "vector_impl_1d.h"

#include "vector_free_ops.h"

#endif /* INCLUDE_DATA_VECTOR_H_ */
