/*
 * vector_details.h
 *
 *  Created on: Apr 7, 2016
 *      Author: strazce
 */

#ifndef INCLUDE_DATA_VECTOR_DETAILS_H_
#define INCLUDE_DATA_VECTOR_DETAILS_H_

namespace opice {
namespace data {
namespace vector {

template<typename T>
struct Details {
    using value = typename std::remove_const_t<typename std::remove_reference_t<T>>;
    using ref   = typename std::add_lvalue_reference_t<T>;
    using cref  = typename std::add_lvalue_reference_t<typename std::add_const_t<T>>;
};

}}} // namespace opice::data::vector

#endif /* INCLUDE_DATA_VECTOR_DETAILS_H_ */
