/*
 * random_generator.cpp
 *
 */

#include "utils/random_generator.h"

namespace opice {
namespace utils {


RandomGenerator::RandomGenerator()
    : _gen(),
      _dist_uni(),
      _dist_normal(0,1)
{
}

void RandomGenerator::seed(const int s){
    _gen.seed(s);
}

double RandomGenerator::gauss(){
    return _dist_normal(_gen);
}

double RandomGenerator::uniform(){
    return _dist_uni(_gen);
}

}
}
